## Trim

Toolbar / Icon:
Menu: Modify > Trim
Shortcuts: R, M | X, T
Commands: trim | extend | rm | xt

### Description

Trims or extends a line, arc or ellipse to another entity.

### Usage

1. Choose the limiting entity to which you want to trim or extend one or more other entities.
2. Choose the entities that you want to trim to the limiting entity. Often there are two possibilities for the entity to be trimmed. In the example below, you might want the top part of the line to remain in the drawing and the lower part to be trimmed away. In that case you would have to click the trim entity at the upper part. Always click that part of the entity which you want to retain.
3. Right click twice or press Escape twice to terminate the tool.